Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1067224 - 6.3 Release Notes
Summary: 6.3 Release Notes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 6.3.0
Assignee: gsheldon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1091809
TreeView+ depends on / blocked
 
Reported: 2014-02-19 23:54 UTC by Misha H. Ali
Modified: 2014-07-21 02:14 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1091809 1108442 (view as bug list)
Environment:
Last Closed: 2014-07-21 02:14:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Misha H. Ali 2014-02-19 23:54:48 UTC
Develop release notes for 6.3

Comment 2 gsheldon 2014-06-17 23:55:28 UTC
Bobb has identified that "C# Hot Rod" should be "Hot Rod C#".

Update references to "C# Hot Rod Client" to "Hot Rod C# Client".

Comment 6 Misha H. Ali 2014-07-14 09:37:20 UTC
I had some time waiting for some QA bugs so made these minor changes:

* "Known issues for Red Hat JBoss Data Grid 6.3" -> "Known and resolved 
issues for Red Hat JBoss Data Grid 6.3"

Misha: Fixed.

* ⁠2.7. Remote Querying

I see this: "Topic 40978 failed validation and is not included in this 
build."

Misha: Fixed, this should now render correctly.

* https://access.redhat.com/articles/115883 and 
https://access.redhat.com/articles/488833 still does not include the 
latest info for 6.3

Misha: Martin, these are updated by Divya at GA time. When the release notes goes public, these should be updated for 6.3 as well.

"The following issues are known to exist in Red Hat JBoss Data Grid 6.3 
and will be fixed in a subsequent release."
-->
"The following issues are known to exist in Red Hat JBoss Data Grid 6.3 
and will be fixed in one of subsequent releases."

Misha: Fixed.

These two were missing CCFR:
https://bugzilla.redhat.com/show_bug.cgi?id=1101512 - added Doc Text
https://bugzilla.redhat.com/show_bug.cgi?id=1118204 - added Doc Text

Misha: Thanks, Martin. Gemma will run the script and create a draft that includes these tomorrow for final review.

* https://bugzilla.redhat.com/show_bug.cgi?id=1114945 - we need to 
include this one in RN as well, Doc Text added

Misha: Thanks. As above, this will be available for review in a final draft tomorrow.

* Not sure if "Chapter 7. Compiler Output" should be in the final 
release notes.

Misha: This does not display unless there is a failure to compile (as an earlier topic you pointed out failed to build). This should be gone now and is definitely never part of the final build.

Comment 7 Misha H. Ali 2014-07-14 09:38:26 UTC
One more note:

2.4.2 Library Mode
"Querying, which is covered in the Infinispan Query Guide." should probably be just
"Querying in Library Mode" as Remote Query works in Karaf.

Misha: Fixed as well.

Comment 15 Martin Gencur 2014-07-15 06:55:40 UTC
It looks good to me. We'll just need to finalize the list of Known Issues (adding at least onre more).

Comment 16 Misha H. Ali 2014-07-15 10:20:40 UTC
AFAIK there was just one more item to add (https://bugzilla.redhat.com/show_bug.cgi?id=1113585). I've added it to the end of the known issues. Martin, could you have a look and confirm this is OK, please. I'd like to wrap this up earlier than tomorrow, if possible.

Comment 17 Martin Gencur 2014-07-15 10:21:50 UTC
Yes, this is the one. ATM, we don't expect more issues.

Comment 18 Misha H. Ali 2014-07-15 10:23:39 UTC
Checked with Martin and he is OK to approve this final version of the Release Notes. Setting the bug to VERIFIED.

Comment 19 Misha H. Ali 2014-07-21 02:14:46 UTC
Now available on access.redhat.com under the JBoss Data Grid 6.3 documentation label.


Note You need to log in before you can comment on or make changes to this bug.